> For the complete documentation index, see [llms.txt](https://docs.iadvize.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iadvize.dev/technologies/web-and-mobile-sdk/mobile-sdk.md).

# Mobile SDK

This guide is designed to assist you in seamlessly integrating the iAdvize Mobile SDK into your mobile app.

### ⚛️ Finding the SDK for your mobile platform <a href="#finding-the-sdk-for-your-mobile-platform" id="finding-the-sdk-for-your-mobile-platform"></a>

{% tabs %}
{% tab title="Android" %}

<table data-header-hidden><thead><tr><th width="160"></th><th></th></tr></thead><tbody><tr><td><strong>Releases</strong></td><td><a href="https://github.com/iadvize/iadvize-android-sdk/releases">https://github.com/iadvize/iadvize-android-sdk/releases</a></td></tr><tr><td><strong>Demo project</strong></td><td><a href="https://github.com/iadvize/iadvize-android-sdk">https://github.com/iadvize/iadvize-android-sdk</a></td></tr><tr><td><strong>API Reference</strong></td><td><a href="https://iadvize.github.io/iadvize-android-sdk/">https://iadvize.github.io/iadvize-android-sdk/</a></td></tr></tbody></table>
{% endtab %}

{% tab title="iOS" %}

<table data-header-hidden><thead><tr><th width="160"></th><th></th></tr></thead><tbody><tr><td><strong>Releases</strong></td><td><a href="https://github.com/iadvize/iadvize-ios-sdk/releases">https://github.com/iadvize/iadvize-ios-sdk/releases</a></td></tr><tr><td><strong>Demo project</strong></td><td><a href="https://github.com/iadvize/iadvize-ios-sdk">https://github.com/iadvize/iadvize-ios-sdk</a></td></tr><tr><td><strong>API Reference</strong></td><td><a href="https://iadvize.github.io/iadvize-ios-sdk">https://iadvize.github.io/iadvize-ios-sdk/</a></td></tr></tbody></table>
{% endtab %}

{% tab title="React Native" %}

<table data-header-hidden><thead><tr><th width="160"></th><th></th></tr></thead><tbody><tr><td><strong>Releases</strong></td><td><a href="https://www.npmjs.com/package/@iadvize-oss/iadvize-react-native-sdk?activeTab=versions">https://www.npmjs.com/package/@iadvize-oss/iadvize-react-native-sdk?activeTab=versions</a></td></tr><tr><td><strong>Demo project</strong></td><td><a href="https://github.com/iadvize/iadvize-react-native-sdk">https://github.com/iadvize/iadvize-react-native-sdk</a></td></tr></tbody></table>
{% endtab %}

{% tab title="Flutter" %}

<table data-header-hidden><thead><tr><th width="160"></th><th></th></tr></thead><tbody><tr><td><strong>Releases</strong></td><td><a href="https://pub.dev/packages/iadvize_flutter_sdk/versions">https://pub.dev/packages/iadvize_flutter_sdk/versions</a></td></tr><tr><td><strong>Demo project</strong></td><td><a href="https://github.com/iadvize/iadvize-flutter-sdk">https://github.com/iadvize/iadvize-flutter-sdk</a></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

Please choose the version of the iAdvize Mobile SDK you are integrating:

<table><thead><tr><th width="149" align="center">Codename 🧀</th><th align="center">Android</th><th align="center">iOS</th><th align="center">React Native</th><th align="center">Flutter</th></tr></thead><tbody><tr><td align="center"><a href="/pages/gUTn25HHjrnpAAE9Op2O"><strong>Herbillette</strong></a></td><td align="center"><code>3.0</code></td><td align="center"><code>3.0</code></td><td align="center"><code>5.0</code></td><td align="center"><code>3.0</code></td></tr><tr><td align="center"><a href="/pages/AZTfRXGuNnsBiOTxQ69f"><strong>Gaperon</strong></a></td><td align="center"><code>2.16</code></td><td align="center"><code>2.18</code></td><td align="center"><code>4.4</code></td><td align="center"><code>2.17</code></td></tr><tr><td align="center"><a href="/pages/dtjQH8qpUHJzTGeV2aeF"><strong>Fourme</strong></a></td><td align="center"><code>2.15</code></td><td align="center"><code>2.17</code></td><td align="center"><code>4.3</code></td><td align="center"><code>2.16</code></td></tr><tr><td align="center"><a href="/pages/149Jax3gVAeWD7gzuDPe"><strong>Epoisses</strong></a></td><td align="center"><code>2.14</code></td><td align="center"><code>2.16</code></td><td align="center"><code>4.2</code></td><td align="center"><code>2.15</code></td></tr></tbody></table>

{% content-ref url="/pages/tguKp5RGQgPGv5hpSRzd" %}
[Support Policy](/technologies/web-and-mobile-sdk/mobile-sdk/support-policy.md)
{% endcontent-ref %}

{% content-ref url="/pages/ytyKWWQnHJn1osFyCrXz" %}
[Frequently Asked Questions](/technologies/web-and-mobile-sdk/mobile-sdk/frequently-asked-questions.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/web-and-mobile-sdk/mobile-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
